############################################################
#
# type definition pro_declaration_component_gip
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.2
#
############################################################

declaration template pro_declaration_component_gip;

include pro_declaration_structures;
include pro_declaration_types;

define type structure_attribute = string[];

define type structure_entry = {
        "dn"                  : string
        "attributes"          : structure_attribute{}
};

define type structure_dynamic = {
        "script"              : string
        "args"                : string
        "attributes"          ? structure_attribute{}
};

define type component_gip = {
	include structure_component
        "hostname"          : type_hostname
        "user"              : string
        "config_script"     : string
        "temp_path"         : string
        "config_file"       : string
        "edginfo_file"      : string
        "edgschema_file"    : string
        "ldif_file"         : string
        "generic_script"    : string
        "wrapper_script"    : string
        "templates"         ? string[]
        "schemas"           ? string[]

        "dynamic_scripts"   ? structure_dynamic[]
        "entries"           ? structure_entry[]
};

type "/software/components/gip" = component_gip;


